[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TGraphic.Draw

Method used to draw the Graphic on the specified Canvas, in the specified Rectangle.

## Declaration

Source position: graphics.pp line 805

`protected procedure TGraphic.Draw(`
`ACanvas: TCanvas;`
`const Rect: TRect`
`); virtual; abstract;`

## Arguments

`ACanvas` |  | Canvas used to render the graphic.
`Rect` |  | Canvas coordinates where the graphic is drawn.

## Description

Draw is an abstract virtual procedure used to render data in the graphic to the specified Canvas using the given coordinate rectangle. Draw must be implemented in a descendent class to perform actions required for a specific image format.

Canvas is the TCanvas instance where the graphic is rendered.

Rect is a TRect instance with the coordinates where graphic is drawn on the Canvas.